{% if  currentPage is defined %}
    {% set nextPage = currentPage + 1 %}
    {% set previousPage = currentPage - 1 %}
    {% set currentRoute = app.request.attributes.get('_route') %}

    <div class="alert alert-dark">
        {{ 'common.paginator.page'|trans }} {{  currentPage }} / {{  totalPages }}
    </div>
    <div class="container">
        <div class="row justify-content-between">
            <div class="col-3 row">
                {% if previousPage >= 1 %}
                    <div class="col">
                        <a class="btn btn-outline-dark "
                           title="{{ 'common.paginator.link.first.title'|trans }}"
                           href="{{ path(currentRoute) }}">{{ 'common.paginator.link.first'|trans }}</a>
                    </div>
                    {% if previousPage == 1 %}
                        <div class="col">
                            <a class="btn btn-outline-dark "
                               title="{{ 'common.paginator.link.previous.title'|trans }} {{ previousPage }} "
                               href="{{ path(currentRoute) }}">{{ 'common.paginator.link.previous'|trans }}</a>
                        </div>
                    {% else %}
                        <div class="col">
                            <a class="btn btn-outline-dark "
                               title="{{ 'common.paginator.link.previous.title'|trans }} {{ previousPage }} "
                               href="{{ path(currentRoute, { page: previousPage }) }}">{{ 'common.paginator.link.previous'|trans }}</a>
                        </div>
                    {% endif %}
                {% endif %}
            </div>
            <div class="col-3 row">
                {% if nextPage <= totalPages %}
                    <div class="col">
                        <a class="btn btn-outline-dark"
                           title="{{ 'common.paginator.link.next.title'|trans }} {{ nextPage }}"
                           href="{{ path(currentRoute, { page: nextPage }) }}">{{ 'common.paginator.link.next'|trans }}</a>
                    </div>
                    <div class="col">
                        <a class="btn btn-outline-dark"
                           title="{{ 'common.paginator.link.last.title'|trans }} {{ totalPages }}"
                           href="{{ path(currentRoute, { page: totalPages }) }}">{{ 'common.paginator.link.last'|trans }}</a>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>

    {% if  app.environment == 'dev' %}
        <hr>
        <div class="alert alert-dark">
            <h1>DEBUG {{ app.environment }}  environment </h1>
            totalPages --->  {{ totalPages}}  <br>
            max_per_page --->  {{ max_per_page}}  <br>
            previousPage --->  {{ previousPage}}  <br>
            currentPage --->  {{ currentPage}}  <br>
            nextPage --->  {{ nextPage}}  <br>

            <h2> Request</h2>
            app.request.uri ---> {{ app.request.uri }} <br>
            app.request.pathinfo ---> {{  app.request.pathinfo }} <br>
            app.request.requesturi ---> {{ app.request.requesturi }} <br>
            route ---> {{ app.request.attributes.get('_route') }} <br>
            path ---> {{ path(app.request.attributes.get('_route')) }} <br>
            {{ path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) }}
        </div>
    {% endif %}
{% endif %}




